Skip to main content
GET
/
v1
/
products
/
{id}
Retrieve single product with variants and deliverables
curl --request GET \
  --url https://api.blink.store/v1/v1/products/{id} \
  --header 'x-store-id: <api-key>'
import requests

url = "https://api.blink.store/v1/v1/products/{id}"

headers = {"x-store-id": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-store-id': '<api-key>'}};

fetch('https://api.blink.store/v1/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "store_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "preview_link": "<string>",
  "pricing_model": "<string>",
  "price": 123,
  "currency": "<string>",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "subscription_interval": "<string>",
  "trial_days": 123,
  "pricing_tiers": "<string>",
  "package_size": 123,
  "metered_prices": "<string>",
  "requires_license_key": true,
  "license_key_activation_limit": 123,
  "cart_recovery_enabled": true,
  "customer_portal_visibility": true,
  "variants": [
    {
      "id": "<string>",
      "product_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "price": 123,
      "subscription_interval": "<string>",
      "trial_days": 123,
      "is_active": true,
      "requires_license_key": true,
      "license_key_activation_limit": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "deliverables": [
        {
          "id": "<string>",
          "type": "<string>",
          "title": "<string>",
          "description": "<string>",
          "url": "<string>",
          "button_label": "<string>",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "deliverables": [
    {
      "id": "<string>",
      "type": "<string>",
      "title": "<string>",
      "description": "<string>",
      "url": "<string>",
      "button_label": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "images": [
    {
      "id": "<string>",
      "file_url": "<string>",
      "position": 123
    }
  ]
}

Authorizations

x-store-id
string
header
required

Path Parameters

id
string
required

ID of the product to retrieve.

Response

Product details retrieved successfully.

id
string
store_id
string
name
string
description
string
pricing_model
string
price
number
currency
string
status
string
created_at
string<date-time>
subscription_interval
string
trial_days
integer
pricing_tiers
string
package_size
integer
metered_prices
string
requires_license_key
boolean
license_key_activation_limit
integer
cart_recovery_enabled
boolean
customer_portal_visibility
boolean
variants
object[]
deliverables
object[]
images
object[]